[files]
extend-exclude = [
   "*.stop",
   "*.po",
   "*.patch",
   "ppport.h",
   "/configure",
   "/config/config.{sub,guess}",
   "/contrib/pg_trgm/data/*.data",
   # will get caught by the corresponding ../sql/*.sql file
   "**/expected/*.out",
   "/src/test/locale/*/*.in",
   "/src/test/regress/data/*.data",
   "/src/timezone/{tznames,data}/*",
   "/src/timezone/known_abbrevs.txt",
   "/src/backend/utils/mb/Unicode/*.{map,txt,xml}",
]

[type.sgml]
extend-glob = ["*.sgml"]
extend-ignore-re = [
    ".*<!-- this typo is intentional -->",
]

[type.sgml.extend-words]
parms = "parms" # used in anchors
identic = "identic" # ICU collation level
anull = "anull" # ssl cipher option
assistent = "assistent" # norwegian example
alph = "alph" # substring search example
defin = "defin" # word stemming example

[type.meson.extend-words]
fo = "fo"

[type.make.extend-words]
FO = "FO"

[type.sql]
extend-ignore-identifiers-re = [
    "(?i)true|false", # used mixed case in tests
    "(?i)foobar\\w+", # ditto
]

[type.sql.extend-identifiers]
GESS90 = "GESS90"
ot = "ot"
tring = "tring"
wether = "wether"
tre = "tre"

[default]
extend-ignore-identifiers-re = [
    ".*Ser(Commit|Xmin).*",
    "dispell_\\w+",
    "OT_[A-Z_]+",
    "REG_[A-Z_]+",
    # breaks camel-case-splitting
    "\\w+Stmt[A-Z]+\\w+",
    "[A-Z_]+(s|Nned|[Ee]d|able|ing|ion)",
    # non-standard pluralisation of type names
    "([A-Z][a-z]*)*(Entry|Query|Data)s",
    "tht(_p\\d+)?",
]

[default.extend-identifiers]
ciph = "ciph"
evp_ciph = "evp_ciph"
SUMBIT = "SUMBIT"
larg = "larg"
ba = "ba"
clen = "clen"
currentpos = "currentpos"
# short for numerator
numer = "numer"
numer_lim = "numer_lim"
anulls = "anulls" # array of nulls
prevend = "prevend" # previous end
tolen = "tolen" # length of "to" string
curage = "curage" # current age
nknown_attached_workers = "nknown_attached_workers"
htmp = "htmp"
elementry = "elementry" # element entry
charcol = "charcol" # character column
ERROR_FILENAME_EXCED_RANGE = "ERROR_FILENAME_EXCED_RANGE"
BRUSE = "BRUSE"
UE = "UE"
HAA = "HAA"
offsetp = "offsetp"
nin = "nin"
siz = "siz"
tpos = "tpos"
fot = "fot"
ect = "ect"
fo = "fo"
systm = "systm"
clen_match = "clen_match"
nce = "nce"
namspace = "namspace"
is_opne_listp = "is_opne_listp"
FLE = "FLE"
Continuent = "Continuent"
rdt_datas_last = "rdt_datas_last"
RESERV = "RESERV"
OT = "OT"
enew = "enew"
IST = "IST"
ist = "ist"
pont = "pont"

[default.extend-words]
committs = "committs" # commit timestamp
mapp = "mapp" # map pointer
sav = "sav"
Ake = "Ake"
delink = "delink"
dependees = "dependees"
mis = "mis"
nd = "nd"
raison = "raison" # d'etre
inh = "inh"
INOUT = "INOUT"
strat = "strat"
invokable = "invokable" # hmm?
requestor = "requestor"
requestors = "requestors"
alloced = "alloced"
BA = "BA"
BRE = "BRE"
SIZ = "SIZ"
ket = "ket"
ths = "ths" # fractions and short for thesaurus
toi = "toi"
nam = "nam"
arre = "arre"
arry = "arry"
eary = "eary"
ACTIV = "ACTIV"
seeked = "seeked"
